Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class GuiSlider

    java.lang.Object
      net.minecraft.src.Gui
          net.minecraft.src.GuiButton
              net.minecraft.src.GuiSlider

    public class GuiSlider

extends GuiButton

Field Summary
`boolean` | `dragging` Is this slider control being dragged.
`float` | `sliderValue` The value of this slider control.

Fields inherited from class net.minecraft.src.GuiButton
`displayString, drawButton, enabled, id, xPosition, yPosition`

Constructor Summary
`GuiSlider(int par1, int par2, int par3, EnumOptions par4EnumOptions, String par5Str, float par6)`

Method Summary
`boolean` | `mousePressed(Minecraft par1Minecraft, int par2, int par3)` Returns true if the mouse has been pressed on this control.
`void` | `mouseReleased(int par1, int par2)` Fired when the mouse button is released.

Methods inherited from class net.minecraft.src.GuiButton
`drawButton, func_82251_b, func_82252_a`

Methods inherited from class net.minecraft.src.Gui
`drawCenteredString, drawRect, drawString, drawTexturedModalRect`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sliderValue

    public float sliderValue

  The value of this slider control.

### dragging

    public boolean dragging

  Is this slider control being dragged.

Constructor Detail

### GuiSlider

    public GuiSlider(int par1,
                     int par2,
                     int par3,
                     EnumOptions par4EnumOptions,
                     String par5Str,
                     float par6)

Method Detail

### mousePressed

    public boolean mousePressed(Minecraft par1Minecraft,
                                int par2,
                                int par3)

  Returns true if the mouse has been pressed on this control. Equivalent of MouseListener.mousePressed(MouseEvent e).

  Overrides:
    `mousePressed` in class `GuiButton`

### mouseReleased

    public void mouseReleased(int par1,
                              int par2)

  Fired when the mouse button is released. Equivalent of MouseListener.mouseReleased(MouseEvent e).

  Overrides:
    `mouseReleased` in class `GuiButton`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD